using Sepehr.ApiGateway.Partners.Contracts.Hotel.RetrieveBooking.V1.GetStatus.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Hotel.RetrieveBooking.V1.GetStatus.ResponseModel;
using SepehrHotelApiSampleClient.BuiltinTypeExtensions;

namespace SepehrHotelApiSampleClient.RetrieveBooking.WebApi
{
    public class GetStatusApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Hotel/RetrieveBooking/V1/GetStatus",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
